# SimCPU_v1


### 项目介绍

本项目是基于Python语言实现的机器仿真程序，主要用于模拟系统思维与机器程序执行的过程。

### 项目特点

- 基于Python语言，易于上手，可扩展性强。
- 包含丰富的功能，可实现多种指令集的机器程序仿真，与机器程序执行的过程。
- 具有良好的可视化功能，可直观呈现系统思维与机器程序执行的过程。

### 项目目的

- 了解系统思维的概念，并能够将其应用到机器程序的执行过程中
- 了解机器程序的执行过程，并能够通过仿真环境模拟其执行过程。
- 掌握Python语言的基本语法，并能够使用Python语言进行仿真程序的开发。



# 运行
克隆项目到本地，进入项目目录，并执行以下命令：
```
python execute_instruction.py
```


#  依赖
### 环境要求：
- Python 3.6+
- tkinter(Python 内置模块)


#  许可证  

本项目使用 AGPL-3.0-only 许可证。



    

